Bug 176453 - UDEV does not report Initializing sound etc and loses floppy
UDEV does not report Initializing sound etc and loses floppy
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-22 17:44 EST by Don Springall
Modified: 2008-08-02 19:40 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-24 18:24:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Don Springall 2005-12-22 17:44:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051216 Fedora/1.5-3 Firefox/1.5

Description of problem:
Udev no longer diplays initizing messages on startup for storage, sound etc.
and my system no longer finds floppy drive.

Version-Release number of selected component (if applicable):
udev-078-2

How reproducible:
Always

Steps to Reproduce:
1.boot system
2.no entries for floopy in /etc/fstab
3.floopy not found is display of hardware
  

Expected Results:  Udev finds floppy.

Additional info:

worked okay with udev-078-1
Comment 1 Don Springall 2005-12-27 13:23:06 EST
udev-078-3 did not fix the problem.
Comment 2 Hans de Goede 2006-01-05 05:19:01 EST
I'm seeing this too, the problem is that floppy.ko does not get loaded loading
it manually and then restarting hald does the trick for me.

This is on an amd64 desktop. Let me know what I can do to help debug this.
Comment 3 Harald Hoyer 2006-02-15 07:05:26 EST
what about the latest kernel and udev versions?
Comment 4 Hans de Goede 2006-02-15 14:27:18 EST
It does load the floppy on my x86_64 now, so it seems fixed for me.
Comment 5 Don Springall 2006-02-15 15:30:55 EST
Floppy is good. However still not reporting initiaizing sound etc as before.
Maybee It no longer does by design.
Comment 6 Harald Hoyer 2006-02-16 02:07:20 EST
I think this may be a kernel issue.
Comment 7 Don Springall 2006-02-17 10:23:37 EST
Latest kernel 2.6.16.rc3-git4 ie kernel-2.6.15-1.1955_FC5.src.rpm does not find
floppy again. With udev-084-1.1, hal-gnome-0.5.7-0.cvs20060213.1,
hal-0.5.7-0.cvs20060213.1
Comment 8 David W. Legg 2006-06-19 15:19:23 EDT
2.6.16-1.2133_FC5 has same problem.
HAL is hal-0.5.7-3.fc5.2.

Work-around
# mkdir /floppy
[root@arcturus ~]# vi /etc/fstab
add line /dev/fd0                /floppy                 auto    defaults,user

In kde, do Create New Device with device field set to /dev/fd0.

Shouldn't really have to do that, though.
Comment 9 Dave Jones 2006-10-16 17:00:00 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 10 Hans de Goede 2006-10-18 15:03:06 EDT
Still works for me, FC-6 (gold spin 3) x86_64.
Leaving state as needinfo since I'm not the reporter.

(In reply to comment #5)
> Floppy is good. However still not reporting initiaizing sound etc as before.
> Maybee It no longer does by design.

It doesn't print any of this messages anymore with recent versions, the
important question is, if the involved drivers actually get loaded.


(In reply to comment #8)
> 2.6.16-1.2133_FC5 has same problem.
> HAL is hal-0.5.7-3.fc5.2.
> 
> Work-around
> # mkdir /floppy
> [root@arcturus ~]# vi /etc/fstab
> add line /dev/fd0                /floppy                 auto    defaults,user
> 
> In kde, do Create New Device with device field set to /dev/fd0.
> 
> Shouldn't really have to do that, though.

Have you applied all FC-5 updates (esp hal, udev ones)? If not please try, this
works fine on my fully up2date FC-5 i386 system. Maybe you're running x86_64
(trying to find a pattern here)?
Comment 11 David W. Legg 2006-11-25 05:54:29 EST
> Have you applied all FC-5 updates (esp hal, udev ones)?
Yes

Floppy mounting now seems to work in gnome.
However, under KDE, konqueror ought to show a floppy device under its
System/Storage Media side-bar thingy, but does not.

Sound now works when I log in as successively different users. I didn't notice
when this started to work.
Comment 12 David W. Legg 2006-11-25 05:55:41 EST
Oh yes, I am on x86_64.

Note You need to log in before you can comment on or make changes to this bug.